Skip to main content

Detector Hub

GET/v1/hub/detectors

List Catalog

Browse the detector catalog.

Runtime, CI or Admin tokenscope: readoperation_id: hub.listDetectors

Authentication

Any bearer token belonging to the org can read this endpoint.

SDK install

pip install znyx-sdknpm install @znyx/sdk

Query parameters

NameTypeRequiredDescription
category#querystring | nulloptional
trust_level#querystring | nulloptional
detector_type#querystring | nulloptional
limit#queryintegeroptional
offset#queryintegeroptional

Responses

StatusDescription
200Successful Response
422Validation Error

Response schema

totalrequiredinteger
limitrequiredinteger
offsetrequiredinteger
detectorsrequired

Errors & what triggers them

CodeTriggerFix
401Missing or expired Authorization header.
403Token does not have org access (wrong org_id, or insufficient role).
404Resource does not exist in this org.

Request

curl -X GET 'https://api.znyx.ai/v1/hub/detectors' \
  -H 'Authorization: Bearer $ZNYX_TOKEN'

Response

application/json

Successful Response

{
  "total": 0,
  "limit": 0,
  "offset": 0,
  "detectors": [
    {
      "id": "string",
      "name": "string",
      "display_name": "string",
      "description": null,
      "version": "string",
      "author": null,
      "category": null,
      "tags": null,
      "trust_level": "string",
      "detector_type": "string",
      "install_count": 0,
      "is_published": false
    }
  ]
}

Schema: object